
.wp-block-button a{
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    transition: .2s ease;
}
.wp-block-button a:hover {
    transition: .1s ease;
}

/* 
* Button - General
* Icon animation
*/

.wp-block-button a 
span.wp-font-awesome-icon svg{
    opacity: .3;
    transition: all .3s ease;
    margin-left: 3px;
    margin-right: 2px;
}

.wp-block-button a:hover 
span.wp-font-awesome-icon svg{
    opacity: 1;
    transform: translateX(5px);
    transition: all .2s ease;
}